Package org.apache.synapse.commons.throttle.module.utils.impl

## Class DummyAuthenticator

- java.lang.Object
- - org.apache.synapse.commons.throttle.module.utils.impl.DummyAuthenticator

- All Implemented Interfaces:
    `AuthenticationFuture`

      public class DummyAuthenticator
      extends Object
      implements AuthenticationFuture

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DummyAuthenticator​(String oAuthHeader)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getAPIKey()` |
    `List` | `getAuthorizedRoles()` |
    `String` | `getURI()` |
    `boolean` | `isAuthenticated()` |
    `void` | `setAuthenticated​(boolean isAuthenticated)` |
    `void` | `setAuthorizedRoles​(List roles)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DummyAuthenticator

          public DummyAuthenticator​(String oAuthHeader)

  - ### Method Detail

    - #### isAuthenticated

          public boolean isAuthenticated()

      Specified by:
        `isAuthenticated` in interface `AuthenticationFuture`

    - #### getAuthorizedRoles

          public List getAuthorizedRoles()

      Specified by:
        `getAuthorizedRoles` in interface `AuthenticationFuture`

    - #### getAPIKey

          public String getAPIKey()

      Specified by:
        `getAPIKey` in interface `AuthenticationFuture`

    - #### getURI

          public String getURI()

      Specified by:
        `getURI` in interface `AuthenticationFuture`

    - #### setAuthenticated

          public void setAuthenticated​(boolean isAuthenticated)

      Specified by:
        `setAuthenticated` in interface `AuthenticationFuture`

    - #### setAuthorizedRoles

          public void setAuthorizedRoles​(List roles)

      Specified by:
        `setAuthorizedRoles` in interface `AuthenticationFuture`